<div [ngClass]="{'app-container': appRunning}">
  <div
    #appDivItem
    data-cy="app-item"
    class="standard-hover"
    [ngClass]="{'single-selected-option' : selectedApp === appItem?.id, 'remote-hover': hoveredNewApp}"
    (click)="select()">
    <div
      class="app-content-container"
      [appCopyToClipboard]="appItem">
      <div class="app-header-container">
        <app-app-header
          [appItem]="appItem"
          [matTooltip]="'ID: ' + appItem.id">
        </app-app-header>
        <app-close-button
          [disabled]="!appRunning"
          (pushedClose)="onClose(appItem.id)">
        </app-close-button>
      </div>
      <app-expansion-item
        position="after"
        [disabled]="disabled"
        (expandedChange)="toggleExpansion($event)">
        <div header>
          <span
            #appDescriptionSpan
            [ngClass]="{'three-line-clamp': !expanded}">
            {{appItem?.store_description}}
          </span>
        </div>
        <div expansion>
          <div *ngIf="expanded" class="app-item-buttons">
            <button
              mat-button
              class="round-button"
              (click)="goToLink(appItem?.store_url, $event)">
              <mat-icon>local_mall</mat-icon>
              <small>Marketplace</small>
            </button>
            <button
              mat-button
              class="round-button"
              [disabled]="!appItem?.store_docs_url"
              (click)="goToLink(appItem?.store_docs_url, $event)">
              <mat-icon>menu_book</mat-icon>
              <small>Manual</small>
            </button>
          </div>
        </div>
        <div footer>
          <div class="footer-container">
            <small>
              {{appItem?.jobs_count_finished}}/{{appItem?.jobs_count}}
            </small>
          </div>
          <div [ngClass]="appActive ? 'app-active' : ''"></div>
        </div>
      </app-expansion-item>
    </div>
  </div>
  <div [ngClass]="appRunning ? 'app-running' : ''"></div>
</div>
<mat-divider></mat-divider>
